package com.piece_framework.piece_ide.form_designer.ui;

import org.eclipse.jface.viewers.ILabelProvider;
import org.eclipse.jface.viewers.ILabelProviderListener;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.dialogs.ElementListSelectionDialog;

import com.piece_framework.piece_ide.form_designer.model.defined.DefinedValidator;

public class ValidatorSelectionDialog extends ElementListSelectionDialog {
    public ValidatorSelectionDialog(Shell parent) {
        super(parent, new ILabelProvider() {
            public Image getImage(Object element) {
                return null;
            }

            public String getText(Object element) {
                assert (element instanceof DefinedValidator);

                return ((DefinedValidator) element).getDisplayName();
            }

            public void addListener(ILabelProviderListener listener) {
            }

            public void dispose() {
            }

            public boolean isLabelProperty(Object element, String property) {
                return false;
            }

            public void removeListener(ILabelProviderListener listener) {
            }
        });
        setTitle("of[^I");
        setMessage("gpof[^IĂB");
        setHelpAvailable(false);
        setMultipleSelection(false);
        setElements(DefinedValidator.getList().toArray());
    }
}
